>> MIB - Management Information Base
>> Table: mpsHotelTable - (.1.3.6.1.4.1.272.4.53.16.3.1)
Description: This table contains information about the status of the room telephones for hotel function: check-in, check-out, wakeUp settings, room status.
mpsHotelTable
OID | Name | Type | Access
.1 | Index | Unsigned32 | RW
.2 | Description | DisplayString | RW
.3 | Extension | ExtensionIndexOrZero | RW
.4 | AdditionalInfo | DisplayString | RW
.5 | CheckInTime | Date | RW
.6 | CheckOutStatus | ENUM | RW
.7 | RoomStatus | ENUM | RW
.8 | WakeUpDay | INTEGER | RW
.9 | WakeUpMonth | INTEGER | RW
.10 | WakeUpYear | INTEGER | RW
.11 | WakeUpHour | INTEGER | RW
.12 | WakeUpMin | INTEGER | RW
.13 | WakeUpType | ENUM | RW
.14 | WakeUpAnnouncement | ENUM | RW
.15 | Facilities | BITS | RW
.16 | AdminStatus | ENUM | D
.17 | DialAuthorisation | ENUM | RW
.18 | WakeUpAnnFileDirectory | DisplayString | RW
.19 | WakeUpAnnDefaultVariant | INTEGER | RW
Index
A unique value for each hotel room telephone.
Description
A description for this hotel room. Length: 0 to 255
Extension
This variable contains index of the room telephone. Reference to mpsExtensionTable. Range: 0 to 65535
AdditionalInfo
Use for additional description info for the guest e.g language. Length: 0 to 255
CheckInTime
Date and time of check-in. Range: 0 to -1
CheckOutStatus
This variable contains the check-out status of the room telephone. Enumerations: true (1) false (2)
RoomStatus
This variable contains the room status. unknown(1): room status unknown. notCleaned(2): room not cleaned. cleaned(3): room cleaned, but not checked. checked(4): room cleaned and checked. Enumerations: unknown (1) notCleaned (2) cleaned (3) checked (4)
WakeUpDay
WakeUp day. Range: 1 to 31
WakeUpMonth
WakeUp month. Range: 1 to 12
WakeUpYear
WakeUp year. Range: 0 to 99
WakeUpHour
WakeUp hour. Range: 0 to 23
WakeUpMin
WakeUp minutes. Range: 0 to 59
WakeUpType
This variable contains type of the wakeUp call. once(1): wakeUp call only one day. daily(2): WakeUp call daily. Enumerations: once (1) daily (2) off (3)
WakeUpAnnouncement
This variable contains the selected music on hold (MoH) that the wakeUp party hears at wakeUp call. Possible values are: file: variable mpsHotelWakeUpAnnFileDirectory specifies directory to contain sound file default: variable mpsHotelWakeUpAnnDefaultVariant specifies the variant whose default is to be used (default) Enumerations: file (54) default (55)
Facilities
Hotel facilities. mwi-tone : message waiting indication -> special tone. Enumerations: mwi-tone (0)
AdminStatus
Just for MIB entry deletion. Enumerations: enable (1) delete (2)
DialAuthorisation
Dialing privileges for a hotel extension specifies what type of calls (internal, external, etc. ) this extension can place. Default is incoming. This value is necessary for check-in and check-out. After check-in, the dial authorisation will be set to international, After check-out, the dial authorisation will be set to incoming. Enumerations: unknown (1) international (2) incoming (3) national (4) region (5) internal (6) onlyDoorIntercom (7) local (8)
WakeUpAnnFileDirectory
Name of directory (on flash medium) which contains file to be used for music on hold. This variable references the entry in mpsWaveFile table where variable mpsWaveFileDirectory has identical content. If there should be multiple entrys with the same content for some reason an arbitrary entry is chosen. This entry is only valid if variable mpsHotelWakeUpAnnouncement is set to value file. Default value is the empty string. Length: 0 to 255
WakeUpAnnDefaultVariant
This variable specifies the chosen default variant if variable mpsHotelWakeUpAnnouncement is set to value default. Default value for that variable is 1. Range: 1 to 2

MIB Reference to Software Version 10.2.12 generated on 2023/08/29. Provided by webmaster@bintec-elmeg.com Copyright ©2023 by bintec elmeg GmbH